summaryrefslogtreecommitdiff
path: root/makeNewer
diff options
context:
space:
mode:
authorTreeki <treeki@gmail.com>2011-03-26 02:30:11 +0100
committerTreeki <treeki@gmail.com>2011-03-26 02:30:11 +0100
commitb348b5f9124d28fe6ccc620253ba414fb08f3933 (patch)
tree11d786dcd2f3d868259aeeff09b3d4f4363a3c83 /makeNewer
parentf7e7a1eea2e66ea507fc5a2b0813ec02493133a9 (diff)
downloadkamek-b348b5f9124d28fe6ccc620253ba414fb08f3933.tar.gz
kamek-b348b5f9124d28fe6ccc620253ba414fb08f3933.zip
added .o support to Kamek, and a separate project for Newer with codehandler
Diffstat (limited to '')
-rwxr-xr-xmakeNewerGeckoAll14
1 files changed, 14 insertions, 0 deletions
diff --git a/makeNewerGeckoAll b/makeNewerGeckoAll
new file mode 100755
index 0000000..db47037
--- /dev/null
+++ b/makeNewerGeckoAll
@@ -0,0 +1,14 @@
+#!/bin/sh
+python2 tools/mapfile_tool.py
+python2 tools/kamek.py NewerProjectGecko.yaml --no-rels --use-mw --use-wine --gcc-type=/opt/wiidev/bin/powerpc-elf --mw-path=tools
+if [ "$?" = "0" ]; then
+ echo "compile successful"
+else
+ exit 1
+fi
+
+cp NewerASM/pal_loader.bin ~/Games/Newer/DolphinPatch/NewerRes/SystemEU_1.bin
+cp NewerASM/ntsc_loader.bin ~/Games/Newer/DolphinPatch/NewerRes/SystemUS_1.bin
+cp NewerASM/ntsc2_loader.bin ~/Games/Newer/DolphinPatch/NewerRes/SystemUS_2.bin
+echo Built all!
+